summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorPumpkinCheshire2022-05-24 13:26:24 +0800
committerPumpkinCheshire2022-05-24 13:26:24 +0800
commitd747e5f93c55a6c8484b6c2e4e6634df4f980554 (patch)
tree1069e2573bf8ee465d57481ff7fe112e88cdc15f /PKGBUILD
parentcd6cbd269cf58c628d9656ee9398ebc65c8a5ed1 (diff)
downloadaur-whatweb-git.tar.gz
refine source
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD36
1 files changed, 17 insertions, 19 deletions
diff --git a/PKGBUILD b/PKGBUILD
index c6d4b3b20bd..e68f5fa4d0d 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,8 +2,8 @@
# Maintainer: robertfoster
pkgname=whatweb-git
-_name=whatweb
-pkgver=0.5.5.r0.1b351697
+_name=WhatWeb
+pkgver=0.5.5.r41.efee4d80
pkgrel=1
pkgdesc="Next generation web scanner that identifies what websites are running."
arch=('i686' 'x86_64')
@@ -14,28 +14,26 @@ url="http://www.morningstarsecurity.com/research/whatweb"
license=('GPL')
depends=('ruby' 'ruby-addressable')
optdepends=('ruby-rake: development test use'
- 'ruby-rdoc: development test use'
- 'ruby-minitest: development test use'
- 'ruby-rubocop: development test use'
- 'ruby-bundler-audit: development test use'
- 'ruby-pry: debugging')
-source=("whatweb::git://github.com/urbanadventurer/WhatWeb.git")
-md5sums=('SKIP')
+ 'ruby-rdoc: development test use'
+ 'ruby-minitest: development test use'
+ 'ruby-rubocop: development test use'
+ 'ruby-bundler-audit: development test use'
+ 'ruby-pry: debugging')
+source=("git+https://github.com/urbanadventurer/WhatWeb")
+b2sums=('SKIP')
+
+pkgver() {
+ cd $_name || exit
+ printf "%s" "$(git describe --tags --long | sed 's/^v//;s/\([^-]*-\)g/r\1/;s/-/./g')"
+}
prepare() {
- cd $_name
+ cd $_name || exit
sed -i '/bundle install/d' Makefile
sed -i "s|require 'lib/whatweb'|require '/usr/share/whatweb/lib/whatweb'|" whatweb
}
package() {
- cd $_name
- make DESTDIR=$pkgdir install
-}
-
-pkgver() {
- cd $_name
- printf "%s" "$(git describe --tags --long | sed 's/^v//;s/\([^-]*-\)g/r\1/;s/-/./g')"
+ cd $_name || exit
+ make DESTDIR=$pkgdir install
}
-
-